import WeixinAuthorize from "./weixinAuthorize";
/**
 * V2版本中请不要使用该对象，由于oauth被修改为按需调用，因此在没有调用oauth的情况下该对象并没有数据
 */
declare class AppAuthorize extends WeixinAuthorize {
    static _ArchiveKey_: string;
    static AESKey: string;
    static instance: AppAuthorize;
    private _vtDeviceId;
    private _loginUser;
    private _clientType;
    private _fundAccount;
    private _regAccount;
    private _defaultAccount;
    private _bizSysId;
    private _clientName;
    private _storeFlag;
    private _authSign;
    private _refreshToken;
    private _accessToken;
    private _logon;
    private _ticket;
    /**
     * 单例模式
     * @returns {AppAuthorize}
     */
    static getInstance(): AppAuthorize;
    set vtDeviceId(vtDeviceId: string);
    get vtDeviceId(): string;
    set loginUser(loginUser: string);
    get loginUser(): string;
    set clientType(clientType: string);
    get clientType(): string;
    set fundAccount(fundAccount: string);
    get fundAccount(): string;
    set regAccount(regAccount: string);
    get regAccount(): string;
    /**
     * 是否个人用户
     * 返回类型: boolean
     */
    get isPersonalUser(): boolean;
    /**
     * 是否机构用户
     * 返回类型: boolean
     */
    get isOrganUser(): boolean;
    set defaultAccount(da: string);
    get defaultAccount(): string;
    set bizSysId(bizSysId: string | undefined);
    get bizSysId(): string | undefined;
    /**
     * 是否交易资金账号
     * 返回类型: boolean
     */
    get isTradeAccount(): boolean;
    /**
     * 是否信用资金账号
     * 返回类型: boolean
     */
    get isCreditAccount(): boolean;
    /**
     * 是否期权资金账号
     * 返回类型: boolean
     */
    get isOptionsAccount(): boolean;
    /**
     * 是否养老金账号
     * 返回类型: boolean
     */
    get isOldAccount(): boolean;
    /**
     * 是否数币账号
     * 返回类型: boolean
     */
    get isShuBiAccount(): boolean;
    set clientName(clientName: string);
    get clientName(): string;
    set storeFlag(storeFlag: boolean);
    get storeFlag(): boolean;
    set authSign(authSign: string);
    get authSign(): string;
    set refreshToken(refreshToken: string);
    get refreshToken(): string;
    set accessToken(accessToken: string);
    get accessToken(): string;
    /**
     * 登录状态
     * true-已登录；false-未登录
     */
    set logon(logon: boolean);
    get logon(): boolean;
    get newAuthSign(): string;
    get ticket(): string;
    set ticket(v: string);
    /**
     * 是否保持着一级登录的会话态
     * true-已登录；false-未登录或已失效；
     */
    isLongLogin(): Promise<unknown>;
    /**
     * 获取用户信息的本地存储
     */
    static userDefault(): any;
    /**
     * 清除用户信息的本地存储
     */
    static removeUserDefault(): void;
    /**
     * 归档（APP也需要执行归档操作）
     */
    archive(): void;
    /**
     * 接档
     */
    unarchive(): void;
    /**
     * 是否需要执行数据恢复(登录页不需要恢复)
     */
    needStore(): boolean;
}
declare const _default: AppAuthorize;
export default _default;
