/*
 * @Author: shenzhiwei
 * @Date: 2021-04-11 09:34:27
 * @Company: orientsec.com.cn
 * @Description: 用户基础信息核心类（基类）
 */
var Authorize = /** @class */function () {
  function Authorize() {
    // 时间戳 起到混淆+盐值作用 //
    this.timestamp = new Date().valueOf();
  }
  Object.defineProperty(Authorize.prototype, "token", {
    get: function get() {
      return this._token;
    },
    // 中台授权凭证（APP使用内存方式保存token，其他端则采用LocalStorage来存储） //
    set: function set(token) {
      this._token = token;
    },
    enumerable: false,
    configurable: true
  });
  /**
   * 判断是否是空对象
   * @param e
   * @returns {boolean}
   */
  Authorize.isEmptyObject = function (e) {
    var t;
    for (t in e) return !1;
    return !0;
  };
  // 系统编号枚举 //
  // 融资融券
  Authorize.BIZ_SYS_CREDIT = "6";
  // 集中交易
  Authorize.BIZ_SYS_TRADE = "3";
  // 期权
  Authorize.BIZ_SYS_OPTIONS = "18";
  // 养老
  Authorize.OLD_SYS_OPTIONS = '810';
  // 数币
  Authorize.SHUBI_SYS_OPTIONS = '820';
  // 未知系统
  Authorize.BIZ_SYS_UNKNOWED = undefined;
  // 登录方式枚举 //
  // 手机号+登录密码登录方式
  Authorize.LOGIN_MET_MOBILE = "0";
  // 手机号+短信验证码登录方式
  Authorize.LOGIN_MET_SMS = "1";
  // 资金账户登录方式
  Authorize.LOGIN_MET_FUNDACCOUNT = "2";
  return Authorize;
}();
export default Authorize;