/*
 * @Author: shenzhiwei
 * @Date: 2021-04-12 10:02:44
 * @Company: orientsec.com.cn
 * @Description: 微信端用户信息恢复
 */
import { IF156008 } from "./IF156008";
import AppAuthorize from "./models/appAuthorize.h5";
/**
 * 用于某些极端情况下，恢复用户基础信息
 */
export default (function (callback) {
  if (AppAuthorize.needStore()) {
    IF156008().then(function (resp) {
      console.log("恢复微信用户信息 ... ");
      // 归档用户微信用户信息 //
      AppAuthorize.clientType = resp.clientType;
      AppAuthorize.loginUser = resp.loginUser;
      AppAuthorize.storeFlag = true;
      AppAuthorize.archive();
      //////////////////////
      if (typeof callback === "function") {
        callback();
      }
    }).catch(function (err) {
      console.error("恢复微信用户信息时出错：" + err);
      // 如果该接口调用失败，直接回调上层，不做任何处理
      if (typeof callback === "function") {
        callback();
      }
    });
  } else {
    if (typeof callback === "function") {
      callback();
    }
  }
});