/**
 * go桥接指令的请求数据类型
 */
export interface GoReq {
    title?: string;
    uri: string;
    locktype?: string;
    hideNavigationBar?: string;
}
/**
 * back桥接指令的请求数据类型
 */
export interface BackReq {
    step: number;
}
/**
 * dynamicLink桥接指令的请求数据类型
 */
export interface DynamicLinkReq {
    url: string;
    fail?: Function;
}
/**
 * navigationBar桥接指令请求数据类型
 */
export interface NavigationBarReq {
    /**
     * 导航头标题【正中间部分显示文案】
     * @supported dfyj app,h5,小程序
     */
    title: string;
    /**
     * 导航右侧文案
     *  @supported dfyj app
     */
    rightButtonTitle?: string;
    /**
     * 导航右侧 Icon【base64位图片
     *  @supported dfyj app
     */
    rightButtonIcon?: string;
    /**
     * 右侧点击事件，一般配合rightButtonTitle属性使用
     * @supported dfyj app
     */
    onRightButtonPress?: Function;
    /**
     * 是否显示返回功能,默认为 true:显示，false:不显示【导航头左侧添加返回箭头】
     * @supported dfyj app
     */
    isShowBackButton?: boolean;
}
